picocli

## Class CommandLine.MaxValuesforFieldExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException
        - - picocli.CommandLine.ParameterException
          - - picocli.CommandLine.MaxValuesforFieldExceededException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CommandLine

    public static class CommandLine.MaxValuesforFieldExceededException
    extends CommandLine.ParameterException

Exception indicating that more values were specified for an option or parameter than its `arity` allows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandLine.MaxValuesforFieldExceededException(CommandLine commandLine, java.lang.String msg)`

### Method Summary

### Methods inherited from class picocli.CommandLine.ParameterException

`getCommandLine`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandLine.MaxValuesforFieldExceededException

    public CommandLine.MaxValuesforFieldExceededException(CommandLine commandLine,
                                                  java.lang.String msg)